package com.zd.exam.service;

import com.zd.exam.domain.ElExamDept;

import java.util.List;

/**
 * 考试部门(ElExamDept)表服务接口
 *
 * @author liubo
 * @since 2021-08-31 09:25:37
 */
public interface ElExamDeptService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElExamDept queryById(Long id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElExamDept> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param elExamDept 实例对象
     * @return 实例对象
     */
    ElExamDept insert(ElExamDept elExamDept);

    /**
     * 修改数据
     *
     * @param elExamDept 实例对象
     * @return 实例对象
     */
    ElExamDept update(ElExamDept elExamDept);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    void saveAll(Long examId, List<Long> deptIds);

    List<Long> queryByExamId(Long examId);

    int deleteByExamId(Long examId);

    void checkOnlyOneExamByScopeType(Integer scopeType, Long examId, List<Long> deptIds);
}
